import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class HealthBar here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HealthBar extends Actor
{
    //initialize Instance Varibles
    private GreenfootImage bar;    
    private Color backColor = Color.RED;
    private Color hpColor = Color.GREEN;
    private boolean checkDeath = false;
    private int maxHP = 100;
    private int currentHP;
    private int barWidth = 196;
    private MyWorld world;

    /**
     * draws the Healthbar image
     */
    public HealthBar (int maxHP)
    {
        this.maxHP = maxHP;
        bar = new GreenfootImage (200, 50);
        bar.setColor (backColor);
        bar.fill();
        bar.setColor (hpColor);
        bar.fillRect(2,2,barWidth,46);
        this.setImage (bar);
    }

    /**
     * Calculates the damage and changes the image accordingly
     */
    public void changeHP (int currentHP)
    {
        this.currentHP -= currentHP;
        bar.clear();
        bar.setColor (backColor);
        bar.fill();
        bar.setColor (hpColor);
        if (this.currentHP == 0)
        {
            checkDeath = true;
            Greenfoot.stop();

        }

        // use precise division to find percentage of health, then
        // multiply that by the size of the bar, and finally cast it
        // back into an integer for how many pixels wide the green
        // part of the HP bar should be:
        int hpSize = (int)(((double)currentHP / (double)maxHP) * 196);
        bar.fillRect (2, 2, hpSize, 46);

    }

}
