import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MainScreen here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MainScreen extends World
{
    //Initialize variables and objects
    private Instructions tutWorld;
    private MainScreen titleScreen;
    private Logo logo;
    private PlayButton playBttn;
    private int screen = 0;
    GreenfootSound music = new GreenfootSound("HowTo.mp3");

    /**
     * Constructor for objects of class MainScreen.
     * 
     */
    public MainScreen()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        //Calls the constructor within the Instructions class
        tutWorld = new Instructions ();
        //Calls the constructor within the Logo class
        logo = new Logo ();
        //Calls the constructor withing the PlayButton class
        playBttn = new PlayButton ();
        //Add the logo to the coordinates (300,100)
        addObject (logo, 300,100);
        //Add the play button to the coordinates (300,300)
        addObject (playBttn,300,300);

    }

    /**
     * If the PlayButton actor is clicked then change the screen
     */
    public void act()
    {
        if (Greenfoot.mouseClicked(playBttn))
        {
            screen ++;
            if (screen == 1)
            {
                Greenfoot.delay(25);
                Greenfoot.setWorld(tutWorld);

            }

        }
        music.playLoop();
    }

}
